Zum Hauptinhalt springen
GET
/
webhook-results
/
{id}
cURL
curl -X GET \
 /webhook-results/{id} \
 --header "Authorization: Bearer <token>"
import requests

url = "https://coreapi.io/webhook-results/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://coreapi.io/webhook-results/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/webhook-results/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "id": "ad8b3b9d-5b1a-4e1a-8b3b-9d5b1a4e1a8b",
  "requestId": "<string>",
  "method": "<string>",
  "url": "<string>",
  "httpOptions": [
    "<string>"
  ],
  "request": [
    "<string>"
  ],
  "response": [
    "<string>"
  ],
  "throwable": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "attempted": true,
  "successful": true
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

WebhookResult identifier

Antwort

WebhookResult resource

id
string
read-only
Beispiel:

"ad8b3b9d-5b1a-4e1a-8b3b-9d5b1a4e1a8b"

requestId
string
read-only

The request ID of the webhook (X-Webhook-Id)

method
string
read-only

The HTTP method used to send the webhook

url
string
read-only

The recipient URL of the webhook

httpOptions
string[]
read-only

The HTTP options of the webhook

request
string[]
read-only

The request body of the webhook

response
string[] | null
read-only

The response body of the webhook delivery

throwable
string[] | null
read-only

The throwable body which occurred during the webhook delivery

createdAt
string<date-time>
read-only
updatedAt
string<date-time>
read-only
attempted
boolean
read-only

If the webhook was attempted

successful
boolean
read-only

If the webhook was successful